[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetClientRect

Gets the value for the ClientRect property.

## Declaration

Source position: controls.pp line 1395

`protected function TControl.GetClientRect: TRect; virtual;`

## Function result

Value for the ClientRect property.

## Description

Returns the size for the visual client area in the control. For example, the inner size of a TGroupBox. For a TScrollBox it is the visual size, and not the logical size.

The return value is a TRect instance with the Top and Left members set to 0, and the Height and Width members set to the corresponding property values for the control.

## See also

TControl.ClientRect |  | Size of the client area for the control.